Subject: Re: [rtcweb] RTCWeb Data Stream and RTP Synchronization - new I.-D.

From: "Mandyam, Giridhar" <[email-masked]>
Date: Tue, 31 Jul 2012 18:05:07 +0000

Hi Harald,
Thanks for your feedback.  Our intention was to leverage the latest Editor's Draft of the WebRTC API as is.  This should have been stated more clearly in the I.-D. - I apologize.

Therefore JS does not have access to timestamp data in RTP (AFAICT) with the current PeerConnection API.  Ergo for application-generated data, a JS mechanism such as Date().getTime() could be used to embed timestamp data within the application data sent over SCTP.  This is far from perfect and does not provide perfect synchronization to an accompanying RTP stream.

We were not intending to extend the data channel mechanism as defined by I-D.-jesup-rtcweb-data-protocol to include timestamp data, if that is what you were referring to.  I'm not sure that solves the problem either, because there are no guarantees that such a mechanism would leverage the same timestamp generation as the RTP stream would.

We feel that the best way to assure tight synchronization between the RTP stream and any opaque data is through the RTP extension header.

-Giri

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]<mailto:[mailto:[email-masked]]> On Behalf Of Harald Alvestrand
Sent: Tuesday, July 31, 2012 9:04 AM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [rtcweb] RTCWeb Data Stream and RTP Synchronization - new I.-D.

On 07/30/2012 12:11 PM, Mandyam, Giridhar wrote:
Hello,

Please note the internet draft recently uploaded:  http://tools.ietf.org/html/draft-mandyam-rtcweb-data-synch-00 entitled "RTCWeb Data Stream and RTP Synchronization."   All comments, suggestions, requests for clarification, corrections are welcome.

Hello - I scanned your draft quickly, and I see a lot of talk about signaling that synchronization between data tracks and RTP tracks is requested, but nothing about how you intended to represent timestamps in SCTP.

Could you clarify what timestamps you intended to synchronize?

                 Harald

Thanks,

-Giri Mandyam, Qualcomm Innovation Center

_______________________________________________

rtcweb mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/rtcweb